# -*- coding: utf-8 -*-

import sys

try:
    import paver.tasks
except ImportError:
    from os.path import exists
    if exists('paver-minilib.zip'):
        sys.path.insert(0, 'paver-minilib.zip')
    import paver.tasks

if len(sys.argv) > 1 and sys.argv[1][0] == '-':
    paver.tasks.main([])
    paver.tasks.environment.distribution.parse_command_line()
    paver.tasks.environment.distribution.run_commands()
else:
    paver.tasks.main(sys.argv[1:])
